summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Smith <matt@offtopica.uk>2021-05-18 14:55:39 +0100
committerSam James <sam@gentoo.org>2021-12-08 02:03:45 +0000
commite257f3c300909b01309710582e8f09b3d638f864 (patch)
tree31a3df278a3b197d9caa91770fd41fb0fa2612ca /dev-libs/geoip/files
parentapp-emulation/qemu: drop 6.1.0-r1 (diff)
downloadgentoo-e257f3c300909b01309710582e8f09b3d638f864.tar.gz
gentoo-e257f3c300909b01309710582e8f09b3d638f864.tar.bz2
gentoo-e257f3c300909b01309710582e8f09b3d638f864.zip
dev-libs/geoip: Update geoipupdate.sh to use mirrors
The free databases provided by MaxMind are no longer available and so the script doesn't work. Switch to a different mirror. Suggested-by: Alexander Berkes <office@metasoft.at> Closes: https://bugs.gentoo.org/674852 Package-Manager: Portage-3.0.18, Repoman-3.0.3 Signed-off-by: Matt Smith <matt@offtopica.uk> Closes: https://github.com/gentoo/gentoo/pull/20869 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'dev-libs/geoip/files')
-rw-r--r--dev-libs/geoip/files/geoipupdate-r7.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-libs/geoip/files/geoipupdate-r7.sh b/dev-libs/geoip/files/geoipupdate-r7.sh
new file mode 100644
index 000000000000..67d26bdc2ed8
--- /dev/null
+++ b/dev-libs/geoip/files/geoipupdate-r7.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+GEOIP_MIRROR="https://mailfud.org/geoip-legacy/"
+GEOIPDIR=@PREFIX@/usr/share/GeoIP
+TMPDIR=
+
+DATABASES="
+ GeoIPv6
+ GeoIPCity
+ GeoIPCityv6
+ GeoIP
+ GeoIPASNum
+ GeoIPASNumv6
+"
+
+if [ "${1}" = -f ] || [ "${1}" = --force ]; then
+ force=true
+fi
+
+if [ -d "${GEOIPDIR}" ]; then
+ cd $GEOIPDIR
+ if [ -n "${DATABASES}" ]; then
+ TMPDIR=$(mktemp -d geoipupdate.XXXXXXXXXX)
+
+ echo "Updating GeoIP databases..."
+
+ for db in $DATABASES; do
+ fname=$(basename $db)
+
+ if [ -f "${GEOIPDIR}/${fname}.dat" ] || [ ${force} ]; then
+ wget --no-verbose -t 3 -T 60 \
+ "${GEOIP_MIRROR}/${db}.dat.gz" \
+ -O "${TMPDIR}/${fname}.dat.gz"
+ if [ $? -eq 0 ]; then
+ gunzip -fdc "${TMPDIR}/${fname}.dat.gz" > "${TMPDIR}/${fname}.dat"
+ mv "${TMPDIR}/${fname}.dat" "${GEOIPDIR}/${fname}.dat"
+ chmod 0644 "${GEOIPDIR}/${fname}.dat"
+ case ${fname} in
+ GeoLite*) ln -sf ${fname}.dat `echo ${fname} | sed 's/GeoLite/GeoIP/'`.dat ;;
+ esac
+ fi
+ fi
+ done
+ [ -d "${TMPDIR}" ] && rm -rf $TMPDIR
+ fi
+fi